# File

Construct a files instance.

**Return type:** None

## upload()

Upload file. Single or multipart upload depends on file size

**Return type:** [*File*](#file)

## single\_upload()

Single part file upload

**Return type:** [*File*](#file)

## multipart\_upload()

Multi part file upload

**Return type:** [*File*](#file)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fiddler.ai/api/fiddler-python-client-sdk/entities/file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
